Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Class LogFactoryImpl.LogImpl

    java.lang.Object
      |
      +--com.solarmetric.log.AbstractLog
            |
            +--com.solarmetric.log.LogFactoryImpl.LogImpl

All Implemented Interfaces:
  Log

Enclosing class:
  LogFactoryImpl

public class LogFactoryImpl.LogImpl
extends AbstractLog

A simple implementation of the `Log` interface. Writes output to stderr.

Fields inherited from interface com.solarmetric.log.Log
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`LogFactoryImpl.LogImpl()`

Method Summary
`String` | `getChannel()`
`short` | `getLevel()`
`protected boolean` | `isEnabled(short level)` Check to see if the specified logging level is enabled.
`protected void` | `log(short level, String message, Throwable t)` Send the specified log message to the handler.
`void` | `setChannel(String val)`
`void` | `setLevel(short val)`

Methods inherited from class com.solarmetric.log.AbstractLog
`debug, debug, error, error, fatal, fatal, getStackTrace, info, info, isDebugEnabled, isErrorEnabled, isFatalEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFactoryImpl.LogImpl

    public LogFactoryImpl.LogImpl()

Method Detail

### isEnabled

    protected boolean isEnabled(short level)

  Description copied from class: `AbstractLog`
  Check to see if the specified logging level is enabled.
  Overrides:
    `isEnabled` in class `AbstractLog`

### log

    protected void log(short level,
                       String message,
                       Throwable t)

  Description copied from class: `AbstractLog`
  Send the specified log message to the handler.
  Overrides:
    `log` in class `AbstractLog`
  Following copied from class: `com.solarmetric.log.AbstractLog`
  Parameters:
    `level` - the level of the log message
    `message` - the message to send
    `t` - the Throwable, or null if this is not an error

### setChannel

    public void setChannel(String val)

### getChannel

    public String getChannel()

### setLevel

    public void setLevel(short val)

### getLevel

    public short getLevel()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.